services:
  nextcloud:
    image: lscr.io/linuxserver/nextcloud:latest
    container_name: nextcloud
    environment:
      - PUID=${PUID}
      - PGID=${PGID}
      - TZ=${TZ}
    networks:
      - reverse-proxy
    ports:
      - 443:443
    restart: unless-stopped
    volumes:
      - ./config:/config
      - ./data:/data

networks:
  reverse-proxy:
    external: true
